diff mbox series

scripts: check if .git exists before checking submodule status

Message ID 20220629160857.425400-1-berrange@redhat.com
State New
Headers show
Series scripts: check if .git exists before checking submodule status | expand

Commit Message

Daniel P. Berrangé June 29, 2022, 4:08 p.m. UTC
Currently we check status of each submodule, before actually checking
if we're in a git repo. These status commands will all fail, but we
are hiding their output so we don't see it currently.

Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>
---
 scripts/git-submodule.sh | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Comments

Richard Henderson July 1, 2022, 1:39 a.m. UTC | #1
On 6/29/22 21:38, Daniel P. Berrangé wrote:
> Currently we check status of each submodule, before actually checking
> if we're in a git repo. These status commands will all fail, but we
> are hiding their output so we don't see it currently.
> 
> Signed-off-by: Daniel P. Berrangé<berrange@redhat.com>
> ---
>   scripts/git-submodule.sh | 12 ++++++------
>   1 file changed, 6 insertions(+), 6 deletions(-)

Reviewed-by: Richard Henderson <richard.henderson@linaro.org>

r~
diff mbox series

Patch

diff --git a/scripts/git-submodule.sh b/scripts/git-submodule.sh
index e225d3a963..7be41f5948 100755
--- a/scripts/git-submodule.sh
+++ b/scripts/git-submodule.sh
@@ -51,6 +51,12 @@  validate_error() {
     exit 1
 }
 
+if test -n "$maybe_modules" && ! test -e ".git"
+then
+    echo "$0: unexpectedly called with submodules but no git checkout exists"
+    exit 1
+fi
+
 modules=""
 for m in $maybe_modules
 do
@@ -63,12 +69,6 @@  do
     fi
 done
 
-if test -n "$maybe_modules" && ! test -e ".git"
-then
-    echo "$0: unexpectedly called with submodules but no git checkout exists"
-    exit 1
-fi
-
 case "$command" in
 status|validate)
     if test -z "$maybe_modules"